---
- name: Check necessary variables are defined
  ansible.builtin.assert:
    that:
      - marge_config_api_token is defined
      - marge_config_ssh_key is defined
      - >-
        marge_config_branches is defined and
        marge_config_branches is not string and
        marge_config_branches is not mapping and
        marge_config_branches is iterable

- name: Create marge config directory
  ansible.builtin.file:
    path: "{{ marge_config_root }}"
    state: directory
    mode: '0755'

- name: Pull marge-bot container image
  containers.podman.podman_image:
    name: "{{ marge_config_container_image }}:{{ marge_config_container_tag }}"

- name: Configure marge container
  ansible.builtin.include_tasks: configure-marge-container.yml
  loop: "{{ marge_config_branches }}"
  loop_control:
    loop_var: marge_config_branch
